#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    vector<int> X(n);
    vector<int> Y(n);

    vector<int> arr(100001,0);
    long long ans = 0;

    for(int i = 0;i < n;i++) cin >> X[i];
    for(int i = 0;i < n;i++) cin >> Y[i];
    for(int i = 0;i < n;i++) {
        int k;
        cin >> k;
        arr[Y[k-1]]++;
    }
    
    for(int i = 0;i < n;i++){
        ans += arr[X[i]];
    }
    cout << ans;

    return 0;
}